正文

前几天利用开源Git私有代码托管Gogs搭建了一个我的Git镜像站,今天发现有个问题,就是无法打包tar.gz下载,只能使用zip下载,对于强迫症的我来说这是不能忍受的,于是我看了一下错误日志,终于找到的问题的原因,原来是Git的版本太低了,只要升级一下就可以完美解决了,下面发上Git升级步骤

升级Git

下载Git 2.7.4源码包

wget https://github.com/git/git/archive/v2.7.4.tar.gz

解压并打开源码目录

tar zxvf v2.7.4.tar.gz && cd git-2.7.4

配置文件

autoconf

编译git

./configure

开始安装Git

make && make install

安装完成之后用

git --version

查看是否为2.7.4

修改配置

就打开 /etc/init.d/functions

在PATH加上 /usr/local/bin

整行如下

PATH="/usr/local/bin:/sbin:/usr/sbin:/bin:/usr/bin"

至此,Gogs无法下载tar.gz的问题就完美解决。

Last modification:May 12th, 2020 at 09:03 pm
如果觉得我的文章对你有用,请随意赞赏